package com.engine.salary.service.auth;

import com.engine.salary.entity.auth.dto.AuthOptDTO;
import com.engine.salary.entity.auth.param.AuthOptSaveParam;
import com.engine.salary.entity.auth.po.AuthOptPO;

import java.util.List;

/**
 * 权限项
 * <p>Copyright: Copyright (c) 2024</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public interface AuthOptService {
    /**
     * 权限树
     * @param roleId
     * @return
     */
    AuthOptDTO optTree(Long roleId);

    /**
     * 保存权限项
     * @param param
     * @return
     */
    void save(AuthOptSaveParam param);

    void deleteByRoleId(Long roleId);

    List<AuthOptPO> listOpts(Long roleId);

}
